<template>
  <div>

<!--&lt;!&ndash;    基本信息&ndash;&gt;-->
<!--    <event-base-info>-->

<!--    </event-base-info>-->
<!--    建议处置-->
    <disposal-proposed>

    </disposal-proposed>
    <!--    有效容积计算-->
    <div class="footer">
      <el-button type="primary" size="mini" @click="toggleShowCalc">事故水计算</el-button>
      <el-button type="primary" size="mini" @click="toggleShowResInfo">周边资源</el-button>
      <el-button type="primary" size="mini" @click="toggleShowReportDoc">生成报告</el-button>
      <el-button type="primary" size="mini" @click="close">返回</el-button>
    </div>

    <effective-volume-calc ref="effectVolCalc"></effective-volume-calc>
    <event-report-doc ref="eventReportDoc" :reportItemCon="reportItemCon"> </event-report-doc>
    <res-info ref="resInfo"></res-info>
  </div>

</template>

<script>

import DisposalProposed from '@components/base-page/enterprise-emergency/event-handling/DisposalProposed'
import EffectiveVolumeCalc from '@components/base-page/enterprise-emergency/EffectiveVolumeCalc'
import EventReportDoc from '@components/base-page/enterprise-emergency/event-handling/EventReportDoc'
import ResInfo from '@components/base-page/enterprise-emergency/event-handling/ResInfo'
export default {
  name: 'EventHandling',
  components: { ResInfo, EventReportDoc, DisposalProposed, EffectiveVolumeCalc },
  data () {
    return {
      reportItemCon: {
        popupType: 'aaa'
      }
    }
  },
  methods: {
    toggleShowCalc () {
      const s = this.$refs.effectVolCalc.getVisible()
      this.$refs.effectVolCalc.setVisible(!s)
    },
    toggleShowResInfo () {
      const s = this.$refs.resInfo.getVisible()
      this.$refs.resInfo.setVisible(!s)
    },
    toggleShowReportDoc () {
      const s = this.$refs.eventReportDoc.getVisible()
      this.$refs.eventReportDoc.setVisible(!s)
    },
    report () {
      console.log('生成报告')
    },
    close () { console.log('返回') }

  }
}
</script>

<style scoped>

</style>
